## begin license ##
#
#    Slowfoot is an integration system for web-based applications.
#    Copyright (C) 2005-2009 Seek You Too B.V. (CQ2) http://www.cq2.nl
#
#    This file is part of Slowfoot.
#
#    Slowfoot is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    Slowfoot is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with Slowfoot; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
#
## end license ##

import unittest
import slowfooturltest
from slowfooturl import SlowfootURL

class SlowfootURLTestLive(slowfooturltest.SlowfootURLTest):
	"""This means all original tests are run as well, a base class can be factored out later"""
			
	def testPostToUrl(self):
		url = SlowfootURL('http://localhost:80/echo')
		response = url.post('aap')
		self.assertEquals('echo: aap\n', response.read())
		
	def testUrl(self):
		url = 'http://localhost/nl/page/zomaarwat?argument_one=niks&argument_two=ook_niks'
		slowfootUrl = SlowfootURL(url)
		self.assertEquals(slowfootUrl.geturl(), url)

if __name__ == '__main__':
	unittest.main()
